import org.apache.hadoop.hbase.HBaseConfiguration
import org.apache.hadoop.hbase.client.{Connection,ConnectionFactory,HBaseAdmin,HTable,Put,Get}
import org.apache.hadoop.hbase.util.Bytes


object ScalaHBaseApp {
  def main(args: Array[String]) {

      //--==============================================================================
      //-- spark-shell: Instantiate conf, conn, and admin 
      //--==============================================================================
      val conf = new HBaseConfiguration()
      val connection = ConnectionFactory.createConnection(conf);
      val admin = connection.getAdmin();
      
      //--==============================================================================
      //-- hbase shell to create emp table: create 'emp', 'personal data', 'professional data'
      //-- spark-shell: Insert record - put 'emp','1','personal data:name','raju'
      //--==============================================================================
      val table = new HTable(conf, "emp")
      val putRow = new Put(Bytes.toBytes("1"))
      putRow.add(Bytes.toBytes("personal data"),Bytes.toBytes("name"),Bytes.toBytes("raju"))
      table.put(putRow)
      
      //--==============================================================================
      //-- spark-shell: Retrieve recrod - get 'emp', 1 
      //--==============================================================================
      val getRow = new Get(Bytes.toBytes("1"))
      val result = table.get(getRow)
      val value = result.value()
      println(Bytes.toString(value))

  
  }
}
